## gesftpserver 0.1

=== debian/changelog ===
gesftpserver (0.1-3) unstable; urgency=low

  * Extend long description further, referencing upstream documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 May 2012 13:22:17 +0200

gesftpserver (0.1-2) unstable; urgency=low

  * Create m4 dir (apparently aclocal in Squeeze cannot do that itself).
  * Improve long description to clarify benefit over stock OpenSSH SFTP.
    Thanks to Russ Allbery and Bastian Blank.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 May 2012 00:57:38 +0200

gesftpserver (0.1-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#671130.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 May 2012 03:24:36 +0200
