=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.greenend.org.uk/rjk/sftpserver/sftpserver-(\d.*)\.tar\.gz
