## gesftpserver 0.2.1

=== debian/changelog ===
gesftpserver (0.2.1-2) unstable; urgency=medium

  * Update Vcs-Git field:
    + Use canonical URL.
    + Use https schema.
  * Update copyright info:
    + Extend coverage for myself.
    + List upstream cherry-picket patch with same copyright holder and
      license as upstream code (explicitly, as overridden by debian/*
      section.
  * Fix reset LC_ALL (not LC_MESSAGES) in test environment.
    Closes: Bug#796377. Thanks to Chris Lamb.
  * Update watch file:
    + Bump to file format 4.
    + Mention gbp in usage comment.
  * Stop include cdbs upstream-tarball.mk: Use gbp --uscan instead.
  * Declare compliance with Debian Policy 3.9.8.
  * Update git-buildpackage config: Filter anything .git*.
  * Git-ignore quilt .pc dir.
  * Use dh-autoreconf (not cdbs) to regenerate autotools.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Jun 2016 09:56:17 +0200

gesftpserver (0.2.1-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Avoid null pointer deref.
    + Adjust reverse() to avoid malloc(0).
    + Placate Clang sanitizers.
    + Tidy up unaligned data access functions.
    + Fix pwtest to actually test what it's supposed to.
    + Use dynamic allocation for attribute bit formatting.
    + Exclude overflow in allocator via a different approach.
    + More conservative approach to cmd_overlap.
    + Eliminate a possible fd leak in the test client.
    + Memory management pedantry.
    + SECURITY: disable dumpable flag on Linux.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream author to include current year.
    + Fix typo in copyright year in rules file.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 10:54:05 +0200

gesftpserver (0.1-4) unstable; urgency=medium

  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump debhelper compatibility to 8: Needed package version is
    satisfied even in oldstable.
  * Tidy long description: Strip trailing spaces.
  * Update Vcs-Browser to new cgit-based canonical URL.
  * Fix Vcs-Git to use canonical URL.
  * Bump compatibility claim to Policy 3.9.5.
  * Update copyright info:
    + Adjust alternate source to be git URL.
    + Fix use upstream mailinglist as preferred form of contact.
    + Extend coverage of packaging, and bump its licensing to GPL-3+.
    + Fix use comment pseudo-sections to obey silly restrictions of
      copyright format 1.0.
  * Build-depend on and use unversioned autotools.
    Build-depend on automake (not automake1.11).
  * Stop suppress optional build-dependencies: Satisfied even in
    oldstable.
    Build-depend on devscripts.
  * Use cdbs (not local rules) to put aside upstream cruft during build.
  * Tighten build-dependency on cdbs: Needed for handling unversioned
    autotools and upstream cruft.
  * Stop track checksum of upstream tarballs: Verify git instead.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Sep 2014 11:34:44 +0200
