=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: utils
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.106~),
  autotools-dev,
- automake1.11,
- autoconf,
+ devscripts,
  debhelper,
  dh-buildinfo,
  libreadline-dev,
  python,
- python-paramiko
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/gesftpserver.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gesftpserver.git
+ python-paramiko,
+ dh-autoreconf
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gesftpserver.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gesftpserver.git
 Homepage: http://www.greenend.org.uk/rjk/sftpserver/
 
 Package: gesftpserver
@@ -30,17 +30,17 @@
     * Upload and download files
     * List files
     * Create directories and symbolic links
-    * Rename and delete files 
+    * Rename and delete files
   * Protocol versions 4 and higher:
     * Filename encoding translation
     * Text mode transfers
     * String owner/group names (instead of numeric)
-    * Sub-second timestamps (where supported by server OS) 
+    * Sub-second timestamps (where supported by server OS)
   * Protocol versions 5 and higher:
-    * Extended rename semantics (e.g. atomic overwrite) 
+    * Extended rename semantics (e.g. atomic overwrite)
   * Protocol versions 6 and higher:
-    * Create hard links 
-  * Several SFTP extensions 
+    * Create hard links
+  * Several SFTP extensions
  .
  Features of SFTP protocol versions are listed more detailed at
  <http://www.greenend.org.uk/rjk/sftp/sftpversions.html>.
