## gesftpserver 0.2.2

=== debian/changelog ===
gesftpserver (0.2.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.
  * Enforce protocol-specific attribute validity.
  * Reject attempts to close malformed handles.

  [ Jonas Smedegaard ]
  * Bump debhelper compatibility level to 9.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage of Debian packaging.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Modernize Vcs-Browser field: Use git subdir (not cgit).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2017 16:05:34 +0100
