=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.106~),
  autotools-dev,
- devscripts,
+ licensecheck,
  debhelper,
  dh-buildinfo,
  libreadline-dev,
@@ -13,7 +13,7 @@
  dh-autoreconf
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gesftpserver.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gesftpserver.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/gesftpserver.git
 Homepage: http://www.greenend.org.uk/rjk/sftpserver/
 
 Package: gesftpserver
