=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2012-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2012-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Green End SFTP Server
 #
 # This program is free software; you can redistribute it and/or modify
@@ -27,7 +27,7 @@
 CDBS_BUILD_DEPENDS += , python, python-paramiko
 
 # Preserve upstream shipped cruft
-DEB_CLEAN_EXCLUDE = tests/version2~
+DEB_CLEAN_EXCLUDE = tests/truncate6~
 
 # ignore files unused during build
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^Makefile.in|aclocal.m4|configure|config.h.in|config\.aux/.*|debian/(changelog|copyright(|_hints|_newhints))$
