=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
http://www.greenend.org.uk/rjk/sftpserver/sftpserver-(\d.*)\.tar\.gz
