## gesftpserver 1~ds

=== debian/changelog ===
gesftpserver (1~ds-3) unstable; urgency=medium

  [ lintian brush ]
  * Bump debhelper to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Jonas Smedegaard ]
  * drop obsolete warning in long description that code is experimental,
    to match upstream change prior to release v1
  * declare compliance with Debian Policy 4.5.0
  * Add NEWS entry about chnaged install path to gesftpserver binary
  * stop build-depend on autotools-dev

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2020 22:12:06 +0100

gesftpserver (1~ds-2) unstable; urgency=medium

  * Add patch 1001 to use Python 3 (not Python 2).
    Build-depend on python3 (not python).
    Closes: Bug#936600. Thanks to Matthias Klose.
  * Fix skip testsuite when DEB_BUILD_OPTIONS contains nocheck.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Aug 2019 10:56:58 +0200

gesftpserver (1~ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - drop b-d in paramiko, not needed; Closes: #893678

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Aug 2019 17:14:49 -0400

gesftpserver (1~ds-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Simplify rules.
    Stop build-depend on licensecheck cdbs.
  * Update copyright info:
    + Repackage source, avoiding pre-generated code and cruft.
    + Use https protocol in Format, Upstream-Contact, and Source URLs.
    + Extend coverage for main upstream author.
    + Extend coverage of packaging.
  * Update watch file:
    + Update to track https protocol URL.
    + Add version mangling for repackaging.
    + Rewrite usage comment.
    + Use substitution strings.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* URLs: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Tighten lintian overrides regarding License-Reference.
  * Use https protocol in Homepage URL.
  * Drop patch cherry-picked upstream now applied.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Feb 2019 19:53:22 +0100
