## gesftpserver 2~ds

=== debian/changelog ===
gesftpserver (2~ds-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 11:24:03 +0000

gesftpserver (2~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * update watch file:
    + set dversionmangle=auto
    + set pgpmode=auto
  * add upstream PGP signing-key
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.6.1
  * use debhelper compatibility level 13;
    tighten build-dependency on debhelper-compat
  * drop patch 1001 to use python3, fixed upstream

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Aug 2022 08:00:23 +0200
