=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libreadline-dev,
  python3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/gesftpserver.git
 Vcs-Browser: https://salsa.debian.org/debian/gesftpserver
 Homepage: https://www.greenend.org.uk/rjk/sftpserver/
