=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~ds,\
pgpmode=auto,\
dversionmangle=auto \
https://www.greenend.org.uk/rjk/sftpserver/sftpserver-@ANY_VERSION@@ARCHIVE_EXT@
